Bug 202008 - NetworkManager crashes upon boot
NetworkManager crashes upon boot
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-10 07:13 EDT by Pontus Enhager
Modified: 2008-04-08 03:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-08 03:55:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
snippets from /var/log/messages (9.15 KB, application/octet-stream)
2006-08-10 07:13 EDT, Pontus Enhager
no flags Details

  None (edit)
Description Pontus Enhager 2006-08-10 07:13:13 EDT
Description of problem:
NetworkManager crashes at boot time (1 out of 4 times or so)

Version-Release number of selected component (if applicable):
[pontus@kesella ~]$ rpm -q NetworkManager glibc
NetworkManager-0.6.4-1.fc5
glibc-2.4-8

How reproducible:
I have so far only seen this during boot, but it does not occur every time on
boot (perhaps 1 out of 4 times)
If i start the NetworkManager from the console after such a crash it starts up
happily!


Steps to Reproduce:
1. boot up
2. check if the NetworkManager actually managed to start
3.
  
Actual results:
see attached log from /var/log/messages

Expected results:


Additional info:
log consists of the grep:ed messages (grepping for NetworkManager)
with the snippet of the trace of the crash inserted by me on the correct place

Since i am not a hacker, i filed this under NetworkManager although the trace
point to a glibc file.
Comment 1 Pontus Enhager 2006-08-10 07:13:13 EDT
Created attachment 133931 [details]
snippets from /var/log/messages
Comment 2 Dan Williams 2008-02-12 08:44:23 EST
Is this still an issue?   Can you install NetworkManager-debuginfo to get a
better backtrace?
Comment 3 Bug Zapper 2008-04-03 23:30:16 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Pontus Enhager 2008-04-04 13:47:59 EDT
OK i have reeenabled the NM and the NMD to see whether this still is a problem -
i know that this have been coinsistent for me up to at least F7 and possibly F8
(i cannot recall correctly whether i have suffered any crashes during F8 since i
have it disabled due to the crashes... but i will investigate it further i feel
pretty confident that it was not that long ago that i had a crash on the NM/NMD)
Comment 5 Pontus Enhager 2008-04-08 03:55:43 EDT
OK after some days of quite intense testing due to other unrelated investigation
i now dare say that this works for me again. is WORKSFORME the correct
resolution of this bug then ?

brg Pontus

Note You need to log in before you can comment on or make changes to this bug.